PNP_MANUAL_CONFIG_(9)

NAME
pnp_manual_config_dev - Disables Auto Config and Manually sets the resource table

SYNOPSIS

int pnp_manual_config_dev (struct pnp_dev * dev, struct pnp_resource_table * res, int mode);

ARGUMENTS

dev pointer to the desired device

res pointer to the new resource config

mode
    0 or PNP_CONFIG_FORCE

DESCRIPTION

This function can be used by drivers that want to manually set thier resources.